package com.cf.imes.module.system.enums.pay;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 产品购买记录状态枚举
 *
 * @author Gqr
 * @since 2025/9/18 15:50
 */
@Getter
@AllArgsConstructor
public enum PurchaseRecordStatusEnum {
    /**
     * 有效
     */
    ACTIVE(1),

    /**
     * 等待支付
     */
    PENDING(2),

    /**
     * 作废
     */
    INACTIVE(3);

    private final Integer status;
}
